#! /bin/bash
#
# Traffic Collection per netstat
#
# DO NOT ALTER THIS FILE DIRECTLY.  Alterations must be change controlled.
#

MY_DIR=`dirname $0`
version="1.0.3"

cd $MY_DIR

case $1 in

'fetch')
        action="$MY_DIR/trafficSend.sh"
        ;;

'version')
        echo "$version"
        ;;

*)
        echo "traffic version: $version"
        echo "usage:"
        echo "    $0 fetch     -- collect traffic information from system."
        echo "    $0 version             -- Version of this script."
        rval=1
        exit $rval
        ;;
esac

if [ -n "$action" ]; then
       echo "$action" | /bin/bash
fi
rval=$?

exit $rval
